Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joda.time.chrono
Class BuddhistChronology

    java.lang.Object
      org.joda.time.Chronology
          org.joda.time.chrono.BaseChronology
              org.joda.time.chrono.AssembledChronology
                  org.joda.time.chrono.BuddhistChronology

All Implemented Interfaces:
  java.io.Serializable

    public final class BuddhistChronology

extends AssembledChronology

A chronology that matches the BuddhistCalendar class supplied by Sun.

The chronology is identical to the Gregorian/Julian, except that the year is offset by +543 and the era is named 'BE' for Buddhist Era.

This class was intended by Sun to model the calendar used in Thailand. However, the actual rules for Thailand are much more involved than this class covers. (This class is accurate after 1941-01-01 ISO).

This chronlogy is being retained for those who want a same effect replacement for the Sun class. It is hoped that community support will enable a more accurate chronology for Thailand, to be developed.

BuddhistChronology is thread-safe and immutable.

Since:
  1.0
Author:
  Stephen Colebourne, Brian S O'Neill
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.joda.time.chrono.AssembledChronology
`AssembledChronology.Fields`

Field Summary
`static int` | `BE` Constant value for 'Buddhist Era', equivalent to the value returned for AD/CE.

Method Summary
`protected void` | `assemble(AssembledChronology.Fields fields)` Invoked by the constructor and after deserialization to allow subclasses to define all of its supported fields.
`static BuddhistChronology` | `getInstance()` Standard instance of a Buddhist Chronology, that matches Sun's BuddhistCalendar class.
`static BuddhistChronology` | `getInstance(DateTimeZone zone)` Standard instance of a Buddhist Chronology, that matches Sun's BuddhistCalendar class.
`static BuddhistChronology` | `getInstanceUTC()` Standard instance of a Buddhist Chronology, that matches Sun's BuddhistCalendar class.
`java.lang.String` | `toString()` Gets a debugging toString.
`Chronology` | `withUTC()` Gets the Chronology in the UTC time zone.
`Chronology` | `withZone(DateTimeZone zone)` Gets the Chronology in a specific time zone.

Methods inherited from class org.joda.time.chrono.AssembledChronology
`centuries, centuryOfEra, clockhourOfDay, clockhourOfHalfday, dayOfMonth, dayOfWeek, dayOfYear, days, era, eras, getBase, getDateTimeMillis, getDateTimeMillis, getDateTimeMillis, getParam, getZone, halfdayOfDay, halfdays, hourOfDay, hourOfHalfday, hours, millis, millisOfDay, millisOfSecond, minuteOfDay, minuteOfHour, minutes, monthOfYear, months, secondOfDay, secondOfMinute, seconds, weekOfWeekyear, weeks, weekyear, weekyearOfCentury, weekyears, year, yearOfCentury, yearOfEra, years`

Methods inherited from class org.joda.time.chrono.BaseChronology
`add, add, get, get, get, set, validate`

Methods inherited from class org.joda.time.Chronology
`getBuddhist, getBuddhist, getBuddhistUTC, getCoptic, getCoptic, getCopticUTC, getGJ, getGJ, getGJUTC, getGregorian, getGregorian, getGregorianUTC, getISO, getISO, getISOUTC, getJulian, getJulian, getJulianUTC`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BE

    public static final int BE

  Constant value for 'Buddhist Era', equivalent to the value returned for AD/CE. Note that this differs from the constant in BuddhistCalendar.

  See Also:
    Constant Field Values

Method Detail

### getInstanceUTC

    public static BuddhistChronology getInstanceUTC()

  Standard instance of a Buddhist Chronology, that matches Sun's BuddhistCalendar class. This means that it follows the GregorianJulian calendar rules with a cutover date.

  The time zone of the returned instance is UTC.

### getInstance

    public static BuddhistChronology getInstance()

  Standard instance of a Buddhist Chronology, that matches Sun's BuddhistCalendar class. This means that it follows the GregorianJulian calendar rules with a cutover date.

### getInstance

    public static BuddhistChronology getInstance(DateTimeZone zone)

  Standard instance of a Buddhist Chronology, that matches Sun's BuddhistCalendar class. This means that it follows the GregorianJulian calendar rules with a cutover date.

  Parameters:
    `zone` - the time zone to use, null is default

### withUTC

    public Chronology withUTC()

  Gets the Chronology in the UTC time zone.

  Specified by:
    `withUTC` in class `BaseChronology`
  Returns:
    the chronology in UTC

### withZone

    public Chronology withZone(DateTimeZone zone)

  Gets the Chronology in a specific time zone.

  Specified by:
    `withZone` in class `BaseChronology`
  Parameters:
    `zone` - the zone to get the chronology in, null is default
  Returns:
    the chronology
  See Also:
    `ZonedChronology`

### toString

    public java.lang.String toString()

  Gets a debugging toString.

  Specified by:
    `toString` in class `BaseChronology`
  Returns:
    a debugging string

### assemble

    protected void assemble(AssembledChronology.Fields fields)

  Description copied from class: `AssembledChronology`
  Invoked by the constructor and after deserialization to allow subclasses to define all of its supported fields. All unset fields default to unsupported instances.

  Specified by:
    `assemble` in class `AssembledChronology`
  Parameters:
    `fields` - container of fields

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD